×
INDI Library v1.8.6 Released (21 Aug 2020)

August 2020 release of INDI Library v1.8.6 introduces new drivers while providing fixes and improvements to existing devices and core framework.

Python error while updating INDI library

1 month 1 day ago
wjdrijfhout
Junior Boarder
Junior Boarder
Posts: 36
More
Topic Author
Python error while updating INDI library #60173
When I updated the INDI library, I got a message that Python 3.6 could not be installed, saying:
failed to fetch ppa.launchpad.net/jonathonf/python-3.6/u...6.04.york3_amd64.deb 403 Forbidden [IP: 91.189.95.83 80].

Is this a problem? And if yes, does anyone know a fix?

I tried to check my version of python, with 'python --version', which gave me 2.7.12
With 'python3 --version' it gave me 3.5.2
So a python 2 and 3 seem to be co-installed. Is that a problem?

Thanks for any insight.

Please Log in or Create an account to join the conversation.

1 month 1 day ago
Gonzothegreat
Administrator
Administrator
Posts: 1949
Karma: 6
More
Python error while updating INDI library #60176
I can't comment on the 403 error, but I can tell you that yes you can have multiple pythons installed along side each other. Not uncommon to see python2.7 and python3.x
In Ubuntu 20.x python2.7 has been dropped...

Kstars Mac osx
Odroid C1 running indiserver (kept up-to-date with apt-get update/upgrade)
Megrez72 / HEQ5 pro / QHY5L-II-M (OAG) / Atik 314L+ / Gerd Neumann drawer

Please Log in or Create an account to join the conversation.

Time to create page: 0.221 seconds